package com.navinfo.outdoor.bean;

public class ApkVersionBean {
    private Integer code;
    private String message;
    private bodyBean body;

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public bodyBean getBody() {
        return body;
    }

    public void setBody(bodyBean body) {
        this.body = body;
    }

    public static class bodyBean{
        /**
         *     "version": 155,
         *         "operationType": null,
         *         "apkUrl": "http://dtxbmaps.navinfo.com/apk/android/DTXB.apk",
         *         "updateState": 0,
         *         "releaseUrl": "http://dtxbmaps.navinfo.com/apk/android/155.txt",
         *         "updateDate": "2021-05-07T03:31:35.357+0000"
         */
        private int version;
        private String operationType;
        private String apkUrl;
        private int updateState;
        private String releaseUrl;
        private String updateDate;

        public int getVersion() {
            return version;
        }

        public void setVersion(int version) {
            this.version = version;
        }

        public String getOperationType() {
            return operationType;
        }

        public void setOperationType(String operationType) {
            this.operationType = operationType;
        }

        public String getApkUrl() {
            return apkUrl;
        }

        public void setApkUrl(String apkUrl) {
            this.apkUrl = apkUrl;
        }

        public int getUpdateState() {
            return updateState;
        }

        public void setUpdateState(int updateState) {
            this.updateState = updateState;
        }

        public String getReleaseUrl() {
            return releaseUrl;
        }

        public void setReleaseUrl(String releaseUrl) {
            this.releaseUrl = releaseUrl;
        }

        public String getUpdateDate() {
            return updateDate;
        }

        public void setUpdateDate(String updateDate) {
            this.updateDate = updateDate;
        }
    }
}
